Storefront API
Calculate a storefront quote
Calculate contextual prices for active storefront items.
POST
/storefront/v1/{workspaceSlug}/quotesRequest
Path, query, and JSON body fields accepted by this operation.
workspaceSlugstringrequiredpathmin length 1max length 64currencyCodestringrequiredbodymin length 3max length 3linesobject[]requiredbodymin items 1max items 100itemIdstring<uuid>requiredquantityintegerrequiredmin 1max 10000
contextobjectbodydefault {}atstring<date-time>body
Response
Successful responses use Dawn's data envelope.
dataStorefrontQuoterequiredcurrencyCodestringrequiredmin length 3max length 3linesobject[]requireditemIdstring<uuid>requiredhandlestringrequirednamestringrequiredquantityintegerrequiredmin 0max 9007199254740991priceobjectrequiredsubtotalintegerrequiredmin 0max 9007199254740991
totalintegerrequiredmin 0max 9007199254740991calculatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
404A storefront item could not be found.409An applicable price is not available.422The storefront quote is invalid.503The storefront is temporarily unavailable.
Last updated on